# List pages for a topic

Returns a list of custom pages associated with a topic.

Endpoint: GET /v2/channels/{channel_id}/pages
Version: 2026-04-10
Security: oauth2_as_a_user, oauth2_as_a_server

## Path parameters:

  - `channel_id` (integer, required)
    ID of the topic. The topic must exist in the program.

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (integer)
    Unique identifier for the tab.
    Example: 1

  - `data.tab_type` (string)
    Type of the tab.
    Example: "custom"

  - `data.position` (integer)
    Display order position.
    Example: 1

  - `data.name` (string)
    Display name of the tab.
    Example: "Welcome"

  - `data.preview_content` (string,null)
    Brief preview content for the page. Only for custom tabs.
    Example: "Welcome preview..."

  - `data.page_content` (string,null)
    Full HTML content of the page. Only for custom tabs.
    Example: "<p>Welcome to our channel...</p>"


